Ticket #40202

Message position on initial screen

Open Date: 2020-02-28 01:08 Last Update: 2020-03-29 11:02

Reporter:
(Anonymous)
Owner:
Type:
Status:
Closed
Component:
(None)
MileStone:
Priority:
1 - Lowest
Severity:
1 - Lowest
Resolution:
Fixed
File:
None

Details

Please fix the message position on the initial screen when starting the main window with 80x24 or more.

Ticket History (3/4 Histories)

2020-02-28 01:08 Updated by: None
  • New Ticket "Message position on initial screen" created
2020-02-28 05:21 Updated by: backwardseric
  • Owner Update from (None) to backwardseric
Comment

I checked in a change to the source code so the prompt on the splash screen is always shown at the same position, regardless of the full window dimensions. With that, the prompt should always be close to rest of the text on the splash screen.

Does that resolve what you did not like about the message position on the initial screen? If you want all of the splash screen text to be centered in the window, I would recommend opening a ticket on the Hengband project since the display of the splash screen text, except for the prompt, is the same for all the platforms where Hengband runs.

2020-02-29 05:28 Updated by: backwardseric
  • Milestone Update from (None) to 2.2.1.7d
2020-03-29 11:02 Updated by: backwardseric
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

In 2.2.1.7d, the prompt on the splash screen always has the same position regardless of the window size.

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login